/******************************************************************************\
**
**     COMPANY:	LDW Software
**
**      MODULE:	PageInterface
**
** DESCRIPTION:	Interface for story pages
**
**      AUTHOR:	Adrian Francis
**
\******************************************************************************/

#ifndef PAGE_INTERFACE_H
#define PAGE_INTERFACE_H

/******************************************************************************\
** CLASS DEFINITIONS
\******************************************************************************/
class IPage
{
private:

	//interface methods
	//process
	public:		virtual void Enter() {};
	public:		virtual void Exit() {};
	public:		virtual const bool FadeImage() { return true; };
	public:		virtual void FadeText() {};
	public:		virtual void FadeImageSkipped() {};
	public:		virtual const bool FadeOut() { return true; };
	public:		virtual void Update() {};
};

#endif

/******************************************************************************\
** END OF FILE
\******************************************************************************/